> For the complete documentation index, see [llms.txt](https://en.docs.klipwallet.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://en.docs.klipwallet.com/rest-api.md).

# REST API

Klip REST API consists of Card Minting API and App2App API.

## Card Minting API

Card Minting API is a REST API for implementing the functions to mint, send, delete and manage Klip Cards (NFT). Card Minting API allows you to sign in, manage accounts, and mint, send and manage Cards.

## App2App API

App2App API is an API for implementing the function to link your "BApp" with "Klip". App2App API accesses Klip user accounts from the BApp to send KLAY, Klip Cards, or Klip tokens to other users, or initiate a smart contract. App2App API is available as a REST API and SDK (iOS, Android, JavaScript).

| Item                                                   | Description                                                                       | Notes |
| ------------------------------------------------------ | --------------------------------------------------------------------------------- | ----- |
| [Card Minting API](/rest-api/rest-api-card-minting.md) | Mint, send, manage Klip Cards                                                     |       |
| [App2App API](/rest-api/rest-api-a2a.md)               | Links BApp with Klip to send Klip Cards, tokens, KLAY and initate smart contracts |       |

If you need help with this document or with Klip in general, please visit our [Developer Forum](https://forum.klaytn.com/c/klip-api/28).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://en.docs.klipwallet.com/rest-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
